import {
  Modal,
  ModalService,
} from '@zeedhi/common';

export class DetailsItemOperationalModalController {
  private detailsItemOperationalModal!: Modal;
  
  public async createDetailsItemOperationalModal() {
    this.detailsItemOperationalModal = await ModalService.createFromJson('/modals/detailsItemOperationalModal', true);
  }
  
  public destroyDetailsItemOperationalModal() {
    this.detailsItemOperationalModal?.destroy();
  }
  
  public openDetailsItemOperationalModal() {
    this.detailsItemOperationalModal.show();
  }
  
  public closeDetailsItemOperationalModal() {
    this.detailsItemOperationalModal.hide();
  }
}
